#******************************************************************************
#
# Copyright:   2018-2019 Paul Obermeier (obermeier@poSoft.de)
#
#              See the file "Mawt_License.txt" for information on
#              usage and redistribution of this file, and for a
#              DISCLAIMER OF ALL WARRANTIES.
#
# Description: Tcl module with query procedures related to
#              the FFMPEG module.
#
#******************************************************************************

namespace eval mawt {
    variable ns [namespace current]

    namespace ensemble create

    namespace export GetFfmpegVersion

    proc GetFfmpegVersion {} {
        # Get FFMPEG library version string.
        #
        # Returns the version of the wrapped FFMPEG library as a string.
        # The version is returned as "Major.Minor.Patch".
        #
        # See also: VideoOpen SetDebugMode GetErrorMessage

        return [mawtlib::MawtGetFfmpegVersion]
    }
}
